Bug 52048 - BSFSampler, BSFPreProcessor and BSFPostProcessor should share the same GUI
BSFSampler, BSFPreProcessor and BSFPostProcessor should share the same GUI
Status: RESOLVED FIXED
Product: JMeter
Classification: Unclassified
Component: Main
unspecified
All All
: P4 enhancement (vote)
: ---
Assigned To: JMeter issues mailing list
:
Depends on: 52466
Blocks:
  Show dependency tree
 
Reported: 2011-10-18 13:26 UTC by Roman Bargezi
Modified: 2012-01-19 22:45 UTC (History)
1 user (show)



Attachments
Proposed enhancement as a patch to Revision 1182604 of JMeter (10.82 KB, patch)
2011-10-18 13:28 UTC, Roman Bargezi
Details | Diff
BSFSamplerResources.properties (1.56 KB, text/plain)
2011-12-31 15:57 UTC, Philippe Mouawad
Details
BSFSamplerResources_fr.java (1.64 KB, text/plain)
2011-12-31 15:57 UTC, Philippe Mouawad
Details
Up to date patch (r1231672) (14.81 KB, patch)
2012-01-15 14:28 UTC, Philippe Mouawad
Details | Diff
Patch with upgrade (17.36 KB, patch)
2012-01-18 22:05 UTC, Philippe Mouawad
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Roman Bargezi 2011-10-18 13:26:05 UTC
The BSFSampler and the BSF Pre and PostProcessor do not use the same UI for parametrization. For a consistent UX they should.
Comment 1 Roman Bargezi 2011-10-18 13:28:15 UTC
Created attachment 27804 [details]
Proposed enhancement as a patch to Revision 1182604 of JMeter
Comment 2 Philippe Mouawad 2011-12-31 15:26:17 UTC
Thanks , applied with addition of missing resource bundles.

Date: Sat Dec 31 15:25:06 2011
New Revision: 1226099

URL: http://svn.apache.org/viewvc?rev=1226099&view=rev
Log:
Bug 52048 - BSFSampler, BSFPreProcessor and BSFPostProcessor should share the same GUI

Added:
   jmeter/trunk/src/protocol/java/org/apache/jmeter/protocol/java/sampler/BSFSamplerBeanInfo.java   (with props)
   jmeter/trunk/src/protocol/java/org/apache/jmeter/protocol/java/sampler/BSFSamplerResources.properties   (with props)
   jmeter/trunk/src/protocol/java/org/apache/jmeter/protocol/java/sampler/BSFSamplerResources_fr.properties   (with props)
Removed:
   jmeter/trunk/src/protocol/java/org/apache/jmeter/protocol/java/control/gui/BSFSamplerGui.java
Modified:
   jmeter/trunk/src/core/org/apache/jmeter/util/BSFBeanInfoSupport.java
   jmeter/trunk/src/protocol/java/org/apache/jmeter/protocol/java/sampler/BSFSampler.java
   jmeter/trunk/xdocs/changes.xml
Comment 3 Philippe Mouawad 2011-12-31 15:44:22 UTC
Date: Sat Dec 31 15:43:06 2011
New Revision: 1226109

URL: http://svn.apache.org/viewvc?rev=1226109&view=rev
Log:
Bug 52048 - BSFSampler, BSFPreProcessor and BSFPostProcessor should share the same GUI

Rollback because implementation would introduce backward incompatibility (old scripts cannot be read), will do it later.

Added:
   jmeter/trunk/src/protocol/java/org/apache/jmeter/protocol/java/control/gui/BSFSamplerGui.java   (with props)
Removed:
   jmeter/trunk/src/protocol/java/org/apache/jmeter/protocol/java/sampler/BSFSamplerBeanInfo.java
   jmeter/trunk/src/protocol/java/org/apache/jmeter/protocol/java/sampler/BSFSamplerResources.properties
   jmeter/trunk/src/protocol/java/org/apache/jmeter/protocol/java/sampler/BSFSamplerResources_fr.properties
Modified:
   jmeter/trunk/src/core/org/apache/jmeter/util/BSFBeanInfoSupport.java
   jmeter/trunk/src/protocol/java/org/apache/jmeter/protocol/java/sampler/BSFSampler.java
   jmeter/trunk/xdocs/changes.xml
Comment 4 Philippe Mouawad 2011-12-31 15:57:30 UTC
Created attachment 28105 [details]
BSFSamplerResources.properties
Comment 5 Philippe Mouawad 2011-12-31 15:57:52 UTC
Created attachment 28106 [details]
BSFSamplerResources_fr.java
Comment 6 Philippe Mouawad 2012-01-15 14:28:23 UTC
Created attachment 28160 [details]
Up to date patch (r1231672)
Comment 7 Philippe Mouawad 2012-01-18 22:05:55 UTC
Created attachment 28170 [details]
Patch with upgrade
Comment 8 Philippe Mouawad 2012-01-19 21:39:32 UTC
Date: Thu Jan 19 21:38:21 2012
New Revision: 1233582

URL: http://svn.apache.org/viewvc?rev=1233582&view=rev
Log:
Bug 52048 - BSFSampler, BSFPreProcessor and BSFPostProcessor should share the same GUI

Added:
   jmeter/trunk/src/protocol/java/org/apache/jmeter/protocol/java/sampler/BSFSamplerBeanInfo.java   (with props)
   jmeter/trunk/src/protocol/java/org/apache/jmeter/protocol/java/sampler/BSFSamplerResources.properties   (with props)
   jmeter/trunk/src/protocol/java/org/apache/jmeter/protocol/java/sampler/BSFSamplerResources_fr.properties   (with props)
Removed:
   jmeter/trunk/src/protocol/java/org/apache/jmeter/protocol/java/control/gui/BSFSamplerGui.java
Modified:
   jmeter/trunk/bin/upgrade.properties
   jmeter/trunk/docs/images/screenshots/bsfsampler.png
   jmeter/trunk/src/core/org/apache/jmeter/util/BSFBeanInfoSupport.java
   jmeter/trunk/src/protocol/java/org/apache/jmeter/protocol/java/sampler/BSFSampler.java
   jmeter/trunk/xdocs/changes.xml
   jmeter/trunk/xdocs/images/screenshots/bsfsampler.png
Comment 9 Philippe Mouawad 2012-01-19 22:44:04 UTC
Date: Thu Jan 19 22:24:41 2012
New Revision: 1233606

URL: http://svn.apache.org/viewvc?rev=1233606&view=rev
Log:
Bug 52048 - BSFSampler, BSFPreProcessor and BSFPostProcessor should share the same GUI

Modified:
   jmeter/trunk/bin/saveservice.properties